Subject: bug#34389:

From: Ricky Tigg <[email-masked]>
Date: Tue, 12 Feb 2019 10:21:47 +0100

Currently used terminology may had a role at the source of my confusion:
$ parted  -h
(...)
  name NUMBER NAME                         name partition NUMBER as NAME

I know now – which doesn't mean I am clever –."name partition " was meant
to be interpreted, possibly implicitly, that way you depicted. I would
certainly have interpreted correctly a terminology such as the one
illustrated here:
$ parted  -h
(...)
  name NUMBER NAME                         name filesystem label NUMBER as
NAME